View Issue Details

IDProjectCategoryView StatusLast Update
0000014bareos-core[All Projects] directorpublic2019-04-11 11:44
ReporterpstorzAssigned To 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
PlatformSLES 11OSSuse Linux Enterprise ServerOS Version11
Product Version12.4.4 
Target Version12.4.4Fixed in Version12.4.4 
Summary0000014: Implement a scheduler preview for up to one year.
DescriptionRight now it is only possible to see the scheduled jobs of the next 24 hours. (status dir)

It would be a big help to get a preview of schedules for up to one year.
 - See the overrides that will be pulled on each event.
 - Output as list (first goal) or as calendar.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

pstorz

pstorz

2012-12-11 16:56

administrator   ~0000022

The status dir days=500 seems not to work, it only shows up to ~ 1 month and still not really what we want to see.
pstorz

pstorz

2013-04-29 21:34

administrator   ~0000379

Last edited: 2013-04-29 22:11

View 3 revisions

Improvement ideas:

1.: Add year to date output.
2.: Add info if job is disabled to triggered jobs output
3.: Also enable choosing a job by name to see when it is triggered.
4.: Find out why sometimes we get the output "Level=" and nothing else.
    Sun 12-May 23:05 WeeklyCycle Level=

mvwieringen adm

mvwieringen adm

2013-08-13 03:12

administrator   ~0000590

Fix committed to bareos bareos-12.4 branch with changesetid 943.
mvwieringen

mvwieringen

2015-03-25 16:51

developer   ~0001376

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4232.
joergs

joergs

2015-03-25 19:18

administrator   ~0001538

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

Related Changesets

bareos: bareos-12.4 ccd4f310

2013-05-04 11:15:04

pstorz


Committer: mvwieringen adm

Ported: N/A

Details Diff
Added scheduler preview

The new command "status scheduler" shows the status
of the bareos scheduler.
The output first shows what schedule triggers what
jobs, then the scheduler executions of the next
14 days are displayed including the overrides.

By giving the param "schedule=" the display can
be limited to a certain schedule and by giving
"days=" the timeframe for the preview can be
set.

Also, the dotcmd schedule was added, so that the
tab-completion works for giving schedules.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/console/console.c Diff File
mod - src/dird/protos.h Diff File
mod - src/dird/scheduler.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_dotcmds.c Diff File
mod - src/dird/ua_status.c Diff File
mod - src/lib/btime.c Diff File
mod - src/lib/btime.h Diff File

bareos: bareos-12.4 3f837802

2013-05-04 11:15:04

mvwieringen adm

Ported: N/A

Details Diff
status scheduler extra features.

- Added support for selecting status scheduler when only the status
keyword is given.
- Allow so see the scheduler preview for a certain client by giving
a client=<clientname> as cmdline option.
- Allow to see the scheduler preview for a certain job by giving
a job=<jobname> as cmdline option.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_status.c Diff File

bareos2015: bareos-12.4 138f27cc

2013-05-04 13:15:04

mvwieringen

Ported: N/A

Details Diff
status scheduler extra features.

- Added support for selecting status scheduler when only the status
keyword is given.
- Allow so see the scheduler preview for a certain client by giving
a client=<clientname> as cmdline option.
- Allow to see the scheduler preview for a certain job by giving
a job=<jobname> as cmdline option.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_status.c Diff File

bareos2015: bareos-12.4 4ce80b8a

2013-05-04 13:15:04

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Added scheduler preview

The new command "status scheduler" shows the status
of the bareos scheduler.
The output first shows what schedule triggers what
jobs, then the scheduler executions of the next
14 days are displayed including the overrides.

By giving the param "schedule=" the display can
be limited to a certain schedule and by giving
"days=" the timeframe for the preview can be
set.

Also, the dotcmd schedule was added, so that the
tab-completion works for giving schedules.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/console/console.c Diff File
mod - src/dird/protos.h Diff File
mod - src/dird/scheduler.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_dotcmds.c Diff File
mod - src/dird/ua_status.c Diff File
mod - src/lib/btime.c Diff File
mod - src/lib/btime.h Diff File

bareos: master 20c3eda7

2013-05-04 19:26:11

pstorz


Committer: mvwieringen adm

Ported: N/A

Details Diff
Added scheduler preview

The new command "status scheduler" shows the status
of the bareos scheduler.
The output first shows what schedule triggers what
jobs, then the scheduler executions of the next
14 days are displayed including the overrides.

By giving the param "schedule=" the display can
be limited to a certain schedule and by giving
"days=" the timeframe for the preview can be
set.

Also, the dotcmd schedule was added, so that the
tab-completion works for giving schedules.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/lib/btime.h Diff File
mod - src/lib/btime.c Diff File
mod - src/dird/ua_status.c Diff File
mod - src/dird/ua_dotcmds.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/scheduler.c Diff File
mod - src/dird/protos.h Diff File
mod - src/console/console.c Diff File

bareos: master f7a84fa6

2013-05-04 19:26:55

mvwieringen adm

Ported: N/A

Details Diff
status scheduler extra features.

- Added support for selecting status scheduler when only the status
keyword is given.
- Allow so see the scheduler preview for a certain client by giving
a client=<clientname> as cmdline option.
- Allow to see the scheduler preview for a certain job by giving
a job=<jobname> as cmdline option.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/dird/ua_status.c Diff File
mod - src/dird/ua_cmds.c Diff File

bareos2015: bareos-13.2 0eac8951

2013-05-04 21:26:11

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Added scheduler preview

The new command "status scheduler" shows the status
of the bareos scheduler.
The output first shows what schedule triggers what
jobs, then the scheduler executions of the next
14 days are displayed including the overrides.

By giving the param "schedule=" the display can
be limited to a certain schedule and by giving
"days=" the timeframe for the preview can be
set.

Also, the dotcmd schedule was added, so that the
tab-completion works for giving schedules.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/console/console.c Diff File
mod - src/dird/protos.h Diff File
mod - src/dird/scheduler.c Diff File
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_dotcmds.c Diff File
mod - src/dird/ua_status.c Diff File
mod - src/lib/btime.c Diff File
mod - src/lib/btime.h Diff File

bareos2015: bareos-13.2 eb74dd1e

2013-05-04 21:26:55

mvwieringen

Ported: N/A

Details Diff
status scheduler extra features.

- Added support for selecting status scheduler when only the status
keyword is given.
- Allow so see the scheduler preview for a certain client by giving
a client=<clientname> as cmdline option.
- Allow to see the scheduler preview for a certain job by giving
a job=<jobname> as cmdline option.

Fixes 0000014: Implement a scheduler preview for up to one year.
Affected Issues
0000014
mod - src/dird/ua_cmds.c Diff File
mod - src/dird/ua_status.c Diff File

bareos-webui: master d2da0ea3

2014-08-11 17:28:30

frank

Ported: N/A

Details Diff
Fix ISSUE 0000014 Affected Issues
0000014
mod - packaging/obs/bareos-webui.spec Diff File

bareos-webui: master 017d313f

2014-08-11 17:33:12

frank

Ported: N/A

Details Diff
Merge pull request 0000021 from fbergkemper/master

Fix ISSUE 0000014
Affected Issues
0000014
mod - packaging/obs/bareos-webui.spec Diff File

Issue History

Date Modified Username Field Change
2012-12-10 11:34 pstorz New Issue
2012-12-10 11:35 pstorz Severity minor => feature
2012-12-10 14:02 maik Category General => director
2012-12-11 16:56 pstorz Assigned To => pstorz
2012-12-11 16:56 pstorz Status new => assigned
2012-12-11 16:56 pstorz Note Added: 0000022
2013-04-29 21:34 pstorz Note Added: 0000379
2013-04-29 21:40 pstorz Note Edited: 0000379 View Revisions
2013-04-29 22:11 pstorz Note Edited: 0000379 View Revisions
2013-04-30 12:10 mvwieringen Changeset attached => bareos master cd268580
2013-04-30 12:10 mvwieringen Changeset attached => bareos master 8ab86f17
2013-04-30 12:10 mvwieringen Assigned To pstorz => mvwieringen
2013-04-30 12:10 mvwieringen Status assigned => resolved
2013-04-30 12:10 mvwieringen Resolution open => fixed
2013-04-30 15:08 mvwieringen Changeset attached => bareos Branch-12.4 c6825859
2013-04-30 15:08 mvwieringen Changeset attached => bareos Branch-12.4 17228c28
2013-05-02 06:28 mvwieringen Assigned To mvwieringen =>
2013-05-02 06:28 mvwieringen Status resolved => closed
2013-05-02 06:28 mvwieringen Product Version => 12.4.4
2013-05-02 06:28 mvwieringen Fixed in Version => 12.4.4
2013-05-02 06:28 mvwieringen Target Version => 12.4.4
2013-05-07 14:11 mvwieringen Changeset attached => bareos master f1bfed00
2013-05-07 14:12 mvwieringen Changeset attached => bareos master b277b5b1
2013-05-24 12:51 pstorz Assigned To => pstorz
2013-05-24 12:51 pstorz Status closed => resolved
2013-06-21 17:06 joergs Status resolved => closed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master f7a84fa6
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 20c3eda7
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 3f837802
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 ccd4f310
2013-08-13 03:12 mvwieringen adm Note Added: 0000590
2013-08-13 03:12 mvwieringen adm Assigned To pstorz => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 09:33 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 09:33 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 138f27cc
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 4ce80b8a
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 eb74dd1e
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 0eac8951
2015-03-25 16:51 mvwieringen Note Added: 0001376
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001538
2015-03-25 19:18 joergs Status resolved => closed
2019-04-11 11:44 frank Changeset attached => bareos-webui master 017d313f
2019-04-11 11:44 frank Changeset attached => bareos-webui master d2da0ea3